apiVersion: v1
kind: Namespace
metadata:
  name: matrix
---
apiVersion: v1
kind: Pod
metadata:
  name: pvc-inspector
  namespace: matrix
spec:
  containers:
    - image: docker.io/matrixdotorg/synapse:latest
      name: pvc-inspector
      command: ["sleep", "infinity"]
      volumeMounts:
        - mountPath: /data
          name: synapse-data
    - image: docker.io/matrixdotorg/synapse:latest
      name: pvc-inspector-synapse
      command: ["sleep", "infinity"]
      volumeMounts:
        - mountPath: /data
          name: synapse-data
  volumes:
    - name: synapse-data
      persistentVolumeClaim:
        claimName: synapse-data

---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  creationTimestamp: null
  labels:
    io.kompose.service: synapse-data
  name: synapse-data
  namespace: matrix
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 100Mi
status: {}
